From 7d27953019b7541265367ca610d4aa7b310af25f Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jan 21 2016 20:20:29 +0000
Subject: [PATCH 258/1001] Set last_edited.


---

diff --git a/hubs/app.py b/hubs/app.py
index 05794ba..39bea1f 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -99,6 +99,7 @@ def hub_edit_get(name):
 def hub_edit_post(name):
     #hub = get_hub(session, name)
     # TODO -- save things to the db ... and then redirect
+    hub.last_edited = datetime.datetime.utcnow()
     raise NotImplementedError('TODO - save changes to hub config')
     flask.redirect(flask.url_for('hub', name=name))
 
@@ -135,6 +136,7 @@ def widget_edit_get(hub, idx):
 def widget_edit_post(hub, idx):
     #widget = get_widget(session, hub, idx)
     # TODO -- save things to the db ... and then redirect
+    widget.hub.last_edited = datetime.datetime.utcnow()
     raise NotImplementedError('TODO - save changes to widget config')
     flask.redirect(flask.url_for('hub', name=hub))
 
diff --git a/hubs/models.py b/hubs/models.py
index f56fc0d..ed003e3 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -135,7 +135,6 @@ class Hub(BASE):
 
     # Timestamps about various kinds of "freshness"
     last_refreshed = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
-    last_accessed = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     last_edited = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
 
     #fas_group = sa.Column(sa.String(32), nullable=False)

